# Gst::EventTag Class Reference

A tag event. More...

`#include <event.h>`

Inheritance diagram for Gst::EventTag:

List of all members.

## Public Member Functions
| EventTag (GstEvent* event)
Gst::TagList | parse () const
| Parses a tag event and stores the results in the given taglist location.
## Static Public Member Functions
static Glib::RefPtr<Gst::Event> | create (const Gst::TagList& taglist)
| Generates a metadata tag event from the given taglist.

## Detailed Description

A tag event.

## Constructor & Destructor Documentation

Gst::EventTag::EventTag | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventTag::create | ( | const Gst::TagList& | taglist | ) | `[static]`

Generates a metadata tag event from the given taglist.

Parameters:

  | taglist | Metadata list.

Returns:
  A new Gst::Event.

Gst::TagList Gst::EventTag::parse | ( |  | ) | const

Parses a tag event and stores the results in the given taglist location.

Returns:
  Metadata list.

The documentation for this class was generated from the following file:

- event.h